.popup {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 9999;
  color: #000;

  display: none;
  justify-content: center;
  align-items: center;

  &:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #000;
    opacity: .5;
  }

  &--visible {
    display: flex;
  }

  &__content {
    position: relative;
    max-width: 400px;
    width: auto;
    height: auto;
    z-index: 9999;
    background: #fff;
    border: 1px solid #000;
    background: #f8f8f8;
    padding: 60px 40px 30px;

    @include mobile() {
      width: 90%;
      padding: 15px;
    }
  }

  &__header__button {
    position: absolute;
    top: 10px;
    right: 15px;
    font-size: 30px;
    width: 30px;
    text-align: center;
    line-height: 30px;
  }

  &__select,
  &__text-field {
    border: 1px solid #ccc;
    width: 100%;
    height: 25px;
    line-height: 25px;
    padding: 0 10px;
    font-size: 13px;
    background: #fff;
  }

  &__row {
    margin: 5px 0;
  }

  &__title {
    margin: 5px 0;
    font-size: 25px;
    font-weight: 500;
    color: #333;
    text-align: center;
  }

  &__label {
    vertical-align: middle;
  }

  &__caption {
    font-size: 13px;
    font-weight: 400;
    color: #000;
    margin: 10px 0 30px;
    text-align: center;
  }

  &__container {
    color: #000;
    font-size: 12px;
    font-weight: 400;
  }

  &__footer__button {
    display: block;
    text-align: center;
    width: 100%;
    height: 35px;
    line-height: 35px;
    background: #40a;
    margin: 20px 0;
    color: #fff;
    font-weight: 400;
    border: 0;
    font-size: 15px;
  }
}